Bessel Functions
Base Module

## Functions

double | itpp::besselj (int nu, double x)
| Bessel function of first kind of order nu for nu integer.
vec | itpp::besselj (int nu, const vec &x)
| Bessel function of first kind of order nu for nu integer.
double | itpp::besselj (double nu, double x)
| Bessel function of first kind of order nu. nu is real.
vec | itpp::besselj (double nu, const vec &x)
| Bessel function of first kind of order nu. nu is real.
double | itpp::bessely (int nu, double x)
| Bessel function of second kind of order nu. nu is integer.
vec | itpp::bessely (int nu, const vec &x)
| Bessel function of second kind of order nu. nu is integer.
double | itpp::bessely (double nu, double x)
| Bessel function of second kind of order nu. nu is real.
vec | itpp::bessely (double nu, const vec &x)
| Bessel function of second kind of order nu. nu is real.
double | itpp::besseli (double nu, double x)
| Modified Bessel function of first kind of order nu. nu is double. x is double.
vec | itpp::besseli (double nu, const vec &x)
| Modified Bessel function of first kind of order nu. nu is double. x is double.
double | itpp::besselk (int nu, double x)
| Modified Bessel function of second kind of order nu. nu is double. x is double.
vec | itpp::besselk (int nu, const vec &x)
| Modified Bessel function of second kind of order nu. nu is double. x is double.

## Detailed Description

end of math group

## Function Documentation

## besselj() [1/4]

ITPP_EXPORT double itpp::besselj | ( | int | nu,
|  | double | x )

Bessel function of first kind of order nu for nu integer.

The bessel function of first kind is defined as:

where is the order and .

Definition at line 44 of file bessel.cpp.

Referenced by itpp::FIR_Fading_Generator::Jakes_filter().

## besselj() [2/4]

ITPP_EXPORT vec itpp::besselj | ( | int | nu,
|  | const vec & | x )

Bessel function of first kind of order nu for nu integer.

Definition at line 46 of file bessel.cpp.

## besselj() [3/4]

ITPP_EXPORT double itpp::besselj | ( | double | nu,
|  | double | x )

Bessel function of first kind of order nu. nu is real.

Definition at line 56 of file bessel.cpp.

## besselj() [4/4]

ITPP_EXPORT vec itpp::besselj | ( | double | nu,
|  | const vec & | x )

Bessel function of first kind of order nu. nu is real.

Definition at line 58 of file bessel.cpp.

## bessely() [1/4]

ITPP_EXPORT double itpp::bessely | ( | int | nu,
|  | double | x )

Bessel function of second kind of order nu. nu is integer.

The Bessel function of second kind is defined as:

where is the order and .

Definition at line 68 of file bessel.cpp.

## bessely() [2/4]

ITPP_EXPORT vec itpp::bessely | ( | int | nu,
|  | const vec & | x )

Bessel function of second kind of order nu. nu is integer.

Definition at line 70 of file bessel.cpp.

## bessely() [3/4]

ITPP_EXPORT double itpp::bessely | ( | double | nu,
|  | double | x )

Bessel function of second kind of order nu. nu is real.

Definition at line 79 of file bessel.cpp.

## bessely() [4/4]

ITPP_EXPORT vec itpp::bessely | ( | double | nu,
|  | const vec & | x )

Bessel function of second kind of order nu. nu is real.

Definition at line 81 of file bessel.cpp.

## besseli() [1/2]

ITPP_EXPORT double itpp::besseli | ( | double | nu,
|  | double | x )

Modified Bessel function of first kind of order nu. nu is double. x is double.

The Modified Bessel function of first kind is defined as:

where is the order and .

Definition at line 91 of file bessel.cpp.

## besseli() [2/2]

ITPP_EXPORT vec itpp::besseli | ( | double | nu,
|  | const vec & | x )

Modified Bessel function of first kind of order nu. nu is double. x is double.

Definition at line 93 of file bessel.cpp.

## besselk() [1/2]

ITPP_EXPORT double itpp::besselk | ( | int | nu,
|  | double | x )

Modified Bessel function of second kind of order nu. nu is double. x is double.

The Modified Bessel function of second kind is defined as:

where is the order and .

Definition at line 103 of file bessel.cpp.

## besselk() [2/2]

ITPP_EXPORT vec itpp::besselk | ( | int | nu,
|  | const vec & | x )

Modified Bessel function of second kind of order nu. nu is double. x is double.

Definition at line 105 of file bessel.cpp.

Generated on for IT++ by Doxygen 1.15.0